Package org.eclipse.cdt.core.parser

# Interface IScannerInfoProvider

All Known Subinterfaces:
  `ICBuildConfiguration`

All Known Implementing Classes:
  `CBuildConfiguration`, `ErrorBuildConfiguration`, `ScannerProvider`, `StandardBuildConfiguration`

public interface IScannerInfoProvider

## Method Summary

Modifier and Type
Method
Description
`IScannerInfo`
`getScannerInformation(org.eclipse.core.resources.IResource resource)`
The receiver will answer the current state of the build information for the resource specified in the argument.
`void`
`subscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)`
The receiver will register the listener specified in the argument to receive change notifications when the information for the `IResource` it is responsible for changes.
`void`
`unsubscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)`
The receiver will no longer notify the listener specified in the argument when information about the reource it is responsible for changes.

## Method Details

### getScannerInformation

IScannerInfo getScannerInformation(org.eclipse.core.resources.IResource resource)
The receiver will answer the current state of the build information for the resource specified in the argument.

### subscribe

void subscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)
The receiver will register the listener specified in the argument to receive change notifications when the information for the `IResource` it is responsible for changes.

Parameters:
  `listener` -

### unsubscribe

void unsubscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)
The receiver will no longer notify the listener specified in the argument when information about the reource it is responsible for changes.

Parameters:
  `listener` -